/**
 ** Posicion.java
 **
 ** Copyright (C) 1992, 1999, 2007, 2011 Mariano Alvarez Fernandez
 ** [e-mail: malfer at telefonica.net]
 **
 ** This file is part of the Parchis4A program.
 **
 ** Parchis4A is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** Parchis4A is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with Parchis4A.  If not, see <http://www.gnu.org/licenses/>.
 **
 **/

package com.fgrim.parchis4a;

public class Posicion {

	// sites
	public static final int CASA = 0;
	public static final int CORREDOR = 1;
	public static final int LLEGADA = 2;
	public static final int META = 3;

	int lugar;
	int pos;
	int ind;
	
	public Posicion(){
	}

	public Posicion(int nlugar, int npos, int nind){
		lugar = nlugar;
		pos = npos;
		ind = nind;
	}

	public void setPosicion(int nlugar, int npos, int nind){
		lugar = nlugar;
		pos = npos;
		ind = nind;
	}

	public void setPosicion(Posicion npos){
		lugar = npos.lugar;
		pos = npos.pos;
		ind = npos.ind;
	}

}
